namespace TestWeb.WeatherForecasts;

public static class WeatherForecastApi
{
    public static void MapEndpoints(IEndpointRouteBuilder endpoints)
    {
        var group = endpoints.MapGroup("/api/weatherforecasts").WithTags("WeatherForecasts").AllowAnonymous();
        group.MapGet("/", GetList).WithSummary("Get weather forecast list");
    }

    private static readonly string[] Summaries = new[]
    {
        "Freezing", "Bracing", "Chilly", "Cool", "Mild", "Warm", "Balmy", "Hot", "Sweltering", "Scorching"
    };

    public record WeatherForecast(DateOnly Date, int TemperatureC, string? Summary)
    {
        public int TemperatureF => 32 + (int)(TemperatureC / 0.5556);
    }

    public static WeatherForecast[] GetList()
    {
        var random = new Random();
        return Enumerable.Range(1, 5).Select(index => new WeatherForecast
        (
            DateOnly.FromDateTime(DateTime.Now.AddDays(index)),
            random.Next(-20, 55),
            Summaries[random.Next(Summaries.Length)]
        )).ToArray();
    }
}
